GCLOUD_PREVIEW_APP_MODULES_SET-DEFAULT(1)

NAME

gcloud preview app modules set-default - set the default serving version for the given modules

SYNOPSIS

gcloud preview app modules set-default MODULES [MODULES ...] --version VERSION [GLOBAL-FLAG ...]

DESCRIPTION
(PREVIEW) This command is deprecated. Please use gcloud preview app services set-traffic instead. This command sets the default serving version for the given modules. The default version for a module is served when you visit mymodule.myapp.appspot.com.'

POSITIONAL ARGUMENTS
MODULES [MODULES ...]
    One or more service names to perform this action on. To select the default service for your app, use "default".

REQUIRED FLAGS
--version VERSION
    The version of the app that you want to operate on.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To set the default version for a single module, run:
    $ gcloud preview app modules set-default default --version=1
To set the default version for multiple modules, run:
    $ gcloud preview app modules set-default module1 module2 --version=1

NOTES
This command is currently in DEVELOPER PREVIEW and may change without notice.